Bug 1301049 - Subsequent update (JON 3.3.0 -> CP1 -> CP2 -> C5) and direct update (JON 3.3.0 -> CP5) produce different content of JON directory
Subsequent update (JON 3.3.0 -> CP1 -> CP2 -> C5) and direct update (JON 3.3....
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Productization (Show other bugs)
JON 3.3.5
Unspecified Unspecified
unspecified Severity high
: CR01
: JON 3.3.5
Assigned To: Simeon Pinder
Filip Brychta
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-22 07:42 EST by Filip Brychta
Modified: 2016-02-18 08:41 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-18 08:41:18 EST
Type: Task
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Filip Brychta 2016-01-22 07:42:37 EST
Description of problem:
$Summary

Version-Release number of selected component (if applicable):
JON 3.3.5.ER01

How reproducible:
Always

Steps to Reproduce:
1. on server1:
 a) install JON 3.3.0.GA
 b) apply CP1
 c) apply CP2...CP5
2. on server2:
 a) install JON 3.3.0.GA
 b) apply CP5
3. compare content of jon-server-3.3.0.GA from server1 and server2
4. compare content of rhq-agent from server1 and server2

Actual results:
There are some files visible only on server1:
/home/hudson/jon-server-3.3.0.GA/modules/org/rhq/rhq-cassandra-installer/main/rhq-cassandra-installer-4.12.0.JON330GA-redhat-1.jar 4093b93391c6d037499cb08e0e60c896
/home/hudson/jon-server-3.3.0.GA/modules/org/rhq/rhq-installer-util/main/rhq-core-domain-4.12.0.JON330GA-redhat-2.jar 8ea615cbcfbf407ad345d1ab38862a31
/home/hudson/jon-server-3.3.0.GA/modules/org/rhq/rhq-server-control/main/rhq-cassandra-installer-4.12.0.JON330GA-redhat-1.jar 4093b93391c6d037499cb08e0e60c896
/home/hudson/jon-server-3.3.0.GA/modules/org/rhq/server-startup/main/deployments/rhq.ear/lib/rhq-script-bindings-4.12.0.JON330GA-redhat-2.jar 6d6fda1eece1fb2da4166791f5a0c665

and from rhq-agent:
/home/hudson/rhq-agent/lib/rhq-core-domain-4.12.0.JON330GA-redhat-2.jar 8ea615cbcfbf407ad345d1ab38862a31


Expected results:
Content of directories from server1 and server2 should match (except for expected differences like logs, config files...)

Additional info:
This is the same problem as in bz1263742 just for CP5.
Comment 1 Simeon Pinder 2016-01-28 00:02:40 EST
This is fixed with commit: 31cd8761b3c031fa79e6 to jon.git.

Moving to ON_QA as available for test with the following brew build:
https://brewweb.devel.redhat.com/buildinfo?buildID=476409
Comment 2 Filip Brychta 2016-01-28 07:12:38 EST
Verified on JON3.3.5.CR01

Note You need to log in before you can comment on or make changes to this bug.